package com.bohuikeji.frame.module.admin.base;


import com.bohuikeji.frame.module.admin.entity.configure.BaseInputAn;
import com.bohuikeji.frame.module.admin.entity.configure.FieldConf;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.lang.reflect.Field;

/**
 * 表单元素快
 * @author 10552
 */
@Slf4j
@Data
public abstract class HtmlBlockFormBase<T> extends HtmlBlockBase<T>{
    public HtmlBlockFormBase(){}
    /**
     * 初始化组件默认属性
     *
     * @param field
     */
    public HtmlBlockFormBase(Field field, EntityBase entity) {
        super(field,entity);
    }
    /**
     * 表单元素值
     */
    protected String value;

    /**
     * 后缀
     */
    protected String fix;

    public HtmlBlockFormBase(FieldConf fieldConf, BaseInputAn inputAn){
        super(fieldConf,inputAn);
        this.fix=inputAn.getFix();
        this.required=inputAn.isRequired();
    }
}
